// Example inputs demonstrates the use of various user input methods.
package main

import "image"
import "git.tebibyte.media/tomo/tomo"
import "git.tebibyte.media/tomo/nasin"
import "git.tebibyte.media/tomo/objects"
import "git.tebibyte.media/tomo/objects/layouts"

type Application struct { }

func (this *Application) Describe () nasin.ApplicationDescription {
	return nasin.ApplicationDescription {
		Name: "Tomo Input Example",
		ID:   "xyz.holanet.TomoInputExample",
	}
}

func (this *Application) Init () error {
	window, err := nasin.NewApplicationWindow(this, image.Rect(0, 0, 128, 128))
	if err != nil { return err }

	window.SetRoot(objects.NewOuterContainer(layouts.ContractVertical,
		objects.NewTextInput(""),
		objects.NewHorizontalSlider(0.5),
		objects.NewLabelCheckbox(false, "checkbox"),
		objects.NewNumberInput(5),
	))

	window.OnClose(tomo.Stop)
	window.SetVisible(true)
	return nil
}

func main () {
	nasin.RunApplication(&Application { })
}
